package com.siwei.rsmonitoring.mapper;

import java.util.List;

import com.siwei.rsmonitoring.domain.TDkjbxx;
import com.siwei.rsmonitoring.domain.vo.DataCountVo;
import org.apache.ibatis.annotations.Param;

/**
 * 地块基本信息（DKJBXX）Mapper接口
 *
 * @author siwei
 * @date 2025-01-20
 */
public interface TDkjbxxMapper {
    /**
     * 查询地块基本信息（DKJBXX）
     *
     * @param id 地块基本信息（DKJBXX）主键
     * @return 地块基本信息（DKJBXX）
     */
    public TDkjbxx selectTDkjbxxById(@Param("id") String id, @Param("shpOutSRID") Integer shpOutSRID);

    public TDkjbxx selectTDkjbxxByDkbh(@Param("dkbh") String dkbh, @Param("shpOutSRID") Integer shpOutSRID);

    /**
     * 查询地块基本信息（DKJBXX）列表
     *
     * @param tDkjbxx 地块基本信息（DKJBXX）
     * @return 地块基本信息（DKJBXX）集合
     */
    public List<TDkjbxx> selectTDkjbxxList(TDkjbxx tDkjbxx);

    /**
     * 新增地块基本信息（DKJBXX）
     *
     * @param tDkjbxx 地块基本信息（DKJBXX）
     * @return 结果
     */
    public int insertTDkjbxx(TDkjbxx tDkjbxx);

    /**
     * 修改地块基本信息（DKJBXX）
     *
     * @param tDkjbxx 地块基本信息（DKJBXX）
     * @return 结果
     */
    public int updateTDkjbxx(TDkjbxx tDkjbxx);
    public int updateTDkjbxxByHgx(TDkjbxx tDkjbxx);

    /**
     * 删除地块基本信息（DKJBXX）
     *
     * @param id 地块基本信息（DKJBXX）主键
     * @return 结果
     */
    public int deleteTDkjbxxById(String id);

    /**
     * 批量删除地块基本信息（DKJBXX）
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDkjbxxByIds(String[] ids);

    /**
     * 统计地块汇总信息
     *
     * @param dataCountVo
     * @return
     */
    public DataCountVo selectTDkjbxxCctbCount(@Param("dataCountVo") DataCountVo dataCountVo);

}
